Create seller

Creates a new seller.

Both email address and seller code are required to be unique.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

request

string
length ≤ 6

ISO based code of the principal subdivision - region/province/state...

string
length between 2 and 2

Two letter ISO country code.

settings
array of objects

List of settings maps, each with an 'effective_from' date.

settings
string
length ≤ 256

Postal code.

string

Name of the seller's business. Will appear on invoices.

string
[^@]+@[^@]+

Email of the seller's legal representative.

string

Third address line of the seller. Will appear on invoices whenever the seller is liable.

string

Second address line of the seller. Will appear on invoices whenever the seller is liable.

terms_and_conditions
array of objects

List of accepted Terms and Conditions

terms_and_conditions
string
length ≥ 1

Last name of the seller's legal representative.

string
length ≥ 1

First name of the seller's legal representative.

string
length between 1 and 512
^(?!(?:\Qbuyer\E|\Qnone\E|\Qself-billed\E|\Qseller\E)$).+$

Code used by the Marketplace to identify to which seller any given transaction line belongs to. Whenever required, it should be passed in the request body in the 'seller_code' field. The values 'buyer', 'none', 'self-billed', 'seller', and the current marketplace code are reserved.

string

First address line of the seller. Will appear on invoices whenever the seller is liable.

string
length ≥ 1

Middle name of the seller's legal representative.

Response

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/json